import 'package:isar/isar.dart';
import 'package:json_annotation/json_annotation.dart';

part 'thumbnail.g.dart';

@JsonSerializable(explicitToJson: true)
@embedded
class Thumbnail {
  Thumbnail();

  String? url;
  int? width;
  int? height;

  factory Thumbnail.fromJson(Map<String, dynamic> json) =>
      _$ThumbnailFromJson(json);

  Map<String, dynamic> toJson() => _$ThumbnailToJson(this);
}
